Skip to main content
GET
List agent executions

Authorizations

X-API-Key
string
header
required

API key required for all endpoints

Path Parameters

agent_id
string
required

Query Parameters

page
integer
default:1
Required range: x >= 1
per_page
integer
default:20
Required range: 1 <= x <= 100
q[status_eq]
enum<string>

Filter by exact status match

Available options:
started,
running,
paused,
ended,
handoff
q[started_at_gteq]
string<date-time>

Filter by started_at greater than or equal to (ISO 8601 format)

q[started_at_lteq]
string<date-time>

Filter by started_at less than or equal to (ISO 8601 format)

q[ended_at_gteq]
string<date-time>

Filter by ended_at greater than or equal to (ISO 8601 format)

q[ended_at_lteq]
string<date-time>

Filter by ended_at less than or equal to (ISO 8601 format)

q[phone_number_eq]
string

Filter by phone number (normalized format without + sign)

Response

A list of agent executions

data
object[]